
<div class="form-row">
  <div class="form-group col-12 d-flex justify-content-center bg-light rounded">
    <ul class="nav mt-1 mb-1">
      <li class="nav-item">
        <button class="btn btn-link" type="button" (click)="AbrirModal()"><i class="fas fa-search mr-2"></i><span class="text-xs">Buscar artículo</span></button>
      </li>
      <li class="nav-item">
        <button class="btn btn-link" type="button" (click)="NuevoAjuste()"><i class="fas fa-plus mr-2"></i><span class="text-xs">Nuevo Ajuste</span></button>
      </li>
      <li class="nav-item">
        <button class="btn btn-link" type="button" (click)="NuevoAjusteArchivo()"><i class="fas fa-file mr-2"></i><span class="text-xs">Ajuste por archivo</span></button>
      </li>
    </ul>
  </div>
</div>
<div class="form-row">
  <div class="ControlInput">
    <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-keyboard"></i></span></div>
    <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Codarticulo }} {{ tArticulo.Descripcion }}</label>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <label class="h6"><small class="form-label">Maneja Tallas</small></label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
      <label class="ControlInput--Label" size-label="sm">{{ ManejaTallas() }}</label>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <label class="h6"><small class="form-label">Maneja Intermedias</small></label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
      <label class="ControlInput--Label" size-label="sm">{{ ManejaTallasInt() }}</label>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="table-responsive">
      <table class="table table-sm">
        <thead>
          <tr>
            <th scope="col">
              <h6><small class="font-weight-bold">Talla</small></h6>
            </th>
            <th scope="col">
              <h6><small class="font-weight-bold">Almacén</small></h6>
            </th>
            <th scope="col">
              <h6><small class="font-weight-bold">Existencia</small></h6>
            </th>
            <th scope="col">
              <h6><small class="font-weight-bold">Reservado</small></h6>
            </th>
            <th scope="col">
              <h6><small class="font-weight-bold">Disponible</small></h6>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let tInventarioFor of tInventario | slice: (tPaginaInv-1) * tTamanoPagInv : (tPaginaInv-1) * tTamanoPagInv + tTamanoPagInv ; let jv = index">
            <td>
              <h6><small>{{ ObtenerTalla(tInventarioFor) }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tInventarioFor.Codalmacen }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tInventarioFor.Existencia }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tInventarioFor.Reservado }}</small></h6>
            </td>
            <td>
              <h6><small>{{ tInventarioFor.Disponible }}</small></h6>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ngb-pagination class="d-flex justify-content-end" aria-label="Default pagination" [collectionSize]="tInventario.length" [(page)]="tPaginaInv" [pageSize]="tTamanoPagInv" size="sm"></ngb-pagination>
  </div>
</div>